/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/BANKINIT.H__   1.2.1.5   17 Apr 1997 15:41:36   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/BANKINIT.H__  $
** 
**    Rev 1.2.1.5   17 Apr 1997 15:41:36   ZJRD
** No change.
** 
**    Rev 1.2.1.4   16 Apr 1997 10:15:38   ZJRD
** 2.09F
** 
****************************************************************************/

// bankinit.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBankInit dialog

class CBankInit : public CDialog
{
// Construction
public:
	CBankInit(int n=1,CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBankInit)
	enum { IDD = IDD_BANKINIT };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA
public:
   int m_nErr;   
   CString m_strErr;
public:
   int m_nBankNumber;
   int m_nBankPort;
   BOOL m_bBankSignal;
   int m_nHighBit;
   int m_nLowBit;    
   int m_nConParam;
public:                       
   void Init(void);
   void InitBankNumber(void);
   void InitBankPort(void);
   void InitBankSignal(void);
   void InitBankSelectBit(void);
   int  GetBankInfoFromINI(void); 
   int  SetBank();
   void EnableHBitButton(BOOL bEnable);
   void EnableLBitButton(BOOL bEnable);
//   void EnableBitButton(BOOL bFlag, int nBit);
   void EnablePortButton(BOOL bEnable);
   void EnableSignalButton(BOOL bEnable);
   
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CBankInit)
	virtual BOOL OnInitDialog();
	afx_msg void OnBankinit1bank();
	afx_msg void OnBankinit2bank();
	afx_msg void OnBankinit4bank();
	afx_msg void OnBankinitH1();
	afx_msg void OnBankinitH2();
	afx_msg void OnBankinitH3();
	afx_msg void OnBankinitH4();
	afx_msg void OnBankinitH5();
	afx_msg void OnBankinitH6();
	afx_msg void OnBankinitH7();
	afx_msg void OnBankinitHigh();
	afx_msg void OnBankinitL0();
	afx_msg void OnBankinitL1();
	afx_msg void OnBankinitL2();
	afx_msg void OnBankinitL3();
	afx_msg void OnBankinitL4();
	afx_msg void OnBankinitL5();
	afx_msg void OnBankinitL6();
	afx_msg void OnBankInitLow();
	afx_msg void OnBankinitP1();
	afx_msg void OnBankinitP3();
	virtual void OnOK();
	afx_msg void OnBankinitH0();
	afx_msg void OnBankinitL7();
	afx_msg void OnBankinitP4();
	afx_msg void OnBankinitP5();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
